Summary: NIS/YP pwd Tools
Name: yppasswd
Version: 0.10
Release: 1
Copyright: GNU
Group: Networking/Daemons
Source: ftp.lysator.liu.se:/pub/NYS/servers/yppasswd-%{PACKAGE_VERSION}.tar.gz
Source1: yppasswd.init
Patch0: yppasswd-0.9-glibc.patch
Patch1: yppasswd-0.10-broot+fsstnd.patch
Requires: portmap
Requires: ypserv
BuildRoot: /tmp/ypp-root
%description
This program implements the password-changing part of the NIS/YP
networking standard. It provides the full functionality NIS/YP
password changing server (daemon) and client.

%changelog
* Tue Apr 22 1997 Elliot Lee <sopwith@cuc.edu>
- Updated to latest version
- BuildRooted
- Updated for FSSTND

%prep
%setup

%ifarch alpha
%patch0 -p1
%endif

%patch1 -p1

%build
make LIBS="" C_LIBS=""

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make ROOT="$RPM_BUILD_ROOT" install
install -m755 $RPM_SOURCE_DIR/yppasswd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/yppasswd.init
for I in 0 1 2 6; do
        mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
        ln -sf ../init.d/ypserv.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/K33yppasswd
done
for I in 3 5; do
        mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc$I.d
        ln -sf ../init.d/yppasswd.init $RPM_BUILD_ROOT/etc/rc.d/rc$I.d/S67yppasswd
done
strip $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT/usr/bin/* ||:

%clean
rm -rf $RPM_BUILD_ROOT
    
%files
%doc README ChangeLog yppasswd.lsm
%config /etc/rc.d/init.d/yppasswd.init
/etc/rc.d/rc0.d/K33yppasswd
/etc/rc.d/rc1.d/K33yppasswd
/etc/rc.d/rc2.d/K33yppasswd
/etc/rc.d/rc3.d/S67yppasswd
/etc/rc.d/rc5.d/S67yppasswd
/etc/rc.d/rc6.d/K33yppasswd
/usr/bin/yppasswd
/usr/sbin/rpc.yppasswdd
/usr/bin/ypchfn
/usr/bin/ypchsh
/usr/lib/yp/pwupdate
/usr/man/man1/yppasswd.1
/usr/man/man1/ypchsh.1
/usr/man/man1/ypchfn.1
/usr/man/man8/yppasswdd.8
/usr/man/man8/rpc.yppasswdd.8

